Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Updated to match latest iron_core, removed jeweler and bumped version.

  • Loading branch information...
commit 80e6b017d937db79a8034b13f0b34088dfe93fd2 1 parent 7bad9c5
@treeder treeder authored
View
15 Gemfile
@@ -1,14 +1,3 @@
-source 'http://rubygems.org'
+source "https://rubygems.org"
-gem 'iron_core', '>= 0.3.0'
-gem 'zip'
-gem 'bundler', '> 1.0.0'
-
-group :development do
- gem 'rake'
- gem 'jeweler2'
-end
-
-group :test do
- gem 'iron_worker_ng' # `rake install` before testing
-end
+gemspec
View
30 Gemfile.lock
@@ -1,15 +1,14 @@
+PATH
+ remote: .
+ specs:
+ iron_worker_ng (0.10.1)
+ iron_core (>= 0.4.2)
+
GEM
- remote: http://rubygems.org/
+ remote: https://rubygems.org/
specs:
- git (1.2.5)
- iron_core (0.3.3)
- rest (>= 2.0.0)
- iron_worker_ng (0.10.0)
- bundler (> 1.0.0)
- iron_core (>= 0.3.0)
- zip
- jeweler2 (2.0.9)
- git (>= 1.2.5)
+ iron_core (0.4.2)
+ rest (>= 2.0.2)
mime-types (1.19)
net-http-persistent (2.7)
rake (0.9.2.2)
@@ -18,15 +17,14 @@ GEM
rest-client (>= 0.3.0)
rest-client (1.6.7)
mime-types (>= 1.16)
- zip (2.0.2)
+ test-unit (2.5.1)
+ uber_config (0.0.6)
PLATFORMS
ruby
DEPENDENCIES
- bundler (> 1.0.0)
- iron_core (>= 0.3.0)
- iron_worker_ng
- jeweler2
+ iron_worker_ng!
rake
- zip
+ test-unit
+ uber_config
View
22 Rakefile
@@ -1,29 +1,7 @@
require 'rubygems'
require 'bundler'
-require 'jeweler2'
task :test do
# running separate rake process to avoid bundler setup clash
sh "cd test && rake #{$*.join(' ')}"
end
-
-Jeweler::Tasks.new do |gem|
- begin
- Bundler.setup(:default, :development)
- rescue Bundler::BundlerError => e
- $stderr.puts e.message
- $stderr.puts "Run `bundle install` to install missing gems"
- exit e.status_code
- end
-
- gem.name = "iron_worker_ng"
- gem.homepage = "https://github.com/iron-io/iron_worker_ruby_ng"
- gem.description = %Q{New generation ruby client for IronWorker}
- gem.summary = %Q{New generation ruby client for IronWorker}
- gem.email = "info@iron.io"
- gem.authors = ["Andrew Kirilenko", "Iron.io, Inc"]
- gem.files.exclude('.document', 'Gemfile', 'Gemfile.lock', 'Rakefile', 'iron_worker_ng.gemspec',
- /^test/, /^examples/, /^iron_worker_examples/)
-end
-
-Jeweler::RubygemsDotOrgTasks.new
View
113 iron_worker_ng.gemspec
@@ -1,98 +1,25 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
-# -*- encoding: utf-8 -*-
+require File.expand_path('../lib/iron_worker_ng/version', __FILE__)
-Gem::Specification.new do |s|
- s.name = "iron_worker_ng"
- s.version = "0.10.0"
+Gem::Specification.new do |gem|
+ gem.authors = ["Andrew Kirilenko", "Iron.io, Inc"]
+ gem.email = ["info@iron.io"]
+ gem.description = "New generation ruby client for IronWorker"
+ gem.summary = "New generation ruby client for IronWorker"
+ gem.homepage = "https://github.com/iron-io/iron_worker_ruby_ng"
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Andrew Kirilenko", "Iron.io, Inc"]
- s.date = "2012-08-21"
- s.description = "New generation ruby client for IronWorker"
- s.email = "info@iron.io"
- s.executables = ["iron_worker"]
- s.extra_rdoc_files = [
- "LICENSE",
- "README.md"
- ]
- s.files = [
- "LICENSE",
- "README.md",
- "VERSION",
- "bin/iron_worker",
- "lib/3rdparty/hashie/indifferent_access.rb",
- "lib/3rdparty/hashie/merge_initializer.rb",
- "lib/iron_worker_ng.rb",
- "lib/iron_worker_ng/api_client.rb",
- "lib/iron_worker_ng/client.rb",
- "lib/iron_worker_ng/code/base.rb",
- "lib/iron_worker_ng/code/binary.rb",
- "lib/iron_worker_ng/code/builder.rb",
- "lib/iron_worker_ng/code/dir_container.rb",
- "lib/iron_worker_ng/code/go.rb",
- "lib/iron_worker_ng/code/java.rb",
- "lib/iron_worker_ng/code/mono.rb",
- "lib/iron_worker_ng/code/node.rb",
- "lib/iron_worker_ng/code/perl.rb",
- "lib/iron_worker_ng/code/php.rb",
- "lib/iron_worker_ng/code/python.rb",
- "lib/iron_worker_ng/code/ruby.rb",
- "lib/iron_worker_ng/code/runtime/binary.rb",
- "lib/iron_worker_ng/code/runtime/go.rb",
- "lib/iron_worker_ng/code/runtime/java.rb",
- "lib/iron_worker_ng/code/runtime/mono.rb",
- "lib/iron_worker_ng/code/runtime/node.rb",
- "lib/iron_worker_ng/code/runtime/perl.rb",
- "lib/iron_worker_ng/code/runtime/php.rb",
- "lib/iron_worker_ng/code/runtime/python.rb",
- "lib/iron_worker_ng/code/runtime/ruby.rb",
- "lib/iron_worker_ng/feature/base.rb",
- "lib/iron_worker_ng/feature/binary/merge_exec.rb",
- "lib/iron_worker_ng/feature/common/merge_dir.rb",
- "lib/iron_worker_ng/feature/common/merge_file.rb",
- "lib/iron_worker_ng/feature/go/merge_exec.rb",
- "lib/iron_worker_ng/feature/java/merge_exec.rb",
- "lib/iron_worker_ng/feature/java/merge_jar.rb",
- "lib/iron_worker_ng/feature/mono/merge_exec.rb",
- "lib/iron_worker_ng/feature/node/merge_exec.rb",
- "lib/iron_worker_ng/feature/perl/merge_exec.rb",
- "lib/iron_worker_ng/feature/php/merge_exec.rb",
- "lib/iron_worker_ng/feature/python/merge_exec.rb",
- "lib/iron_worker_ng/feature/ruby/merge_exec.rb",
- "lib/iron_worker_ng/feature/ruby/merge_gem.rb",
- "lib/iron_worker_ng/feature/ruby/merge_gemfile.rb",
- "lib/iron_worker_ng/fetcher.rb",
- "lib/iron_worker_ng/version.rb"
- ]
- s.homepage = "https://github.com/iron-io/iron_worker_ruby_ng"
- s.require_paths = ["lib"]
- s.rubygems_version = "1.8.24"
- s.summary = "New generation ruby client for IronWorker"
+ gem.files = `git ls-files`.split($\)
+ gem.executables = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
+ gem.test_files = gem.files.grep(%r{^(test|spec|features)/})
+ gem.name = "iron_worker_ng"
+ gem.require_paths = ["lib"]
+ gem.version = IronWorkerNG::VERSION
- if s.respond_to? :specification_version then
- s.specification_version = 3
+ gem.required_rubygems_version = ">= 1.3.6"
+ gem.required_ruby_version = Gem::Requirement.new(">= 1.9")
+ gem.add_runtime_dependency "iron_core", ">= 0.4.2"
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<iron_core>, [">= 0.3.0"])
- s.add_runtime_dependency(%q<zip>, [">= 0"])
- s.add_runtime_dependency(%q<bundler>, ["> 1.0.0"])
- s.add_development_dependency(%q<rake>, [">= 0"])
- s.add_development_dependency(%q<jeweler2>, [">= 0"])
- else
- s.add_dependency(%q<iron_core>, [">= 0.3.0"])
- s.add_dependency(%q<zip>, [">= 0"])
- s.add_dependency(%q<bundler>, ["> 1.0.0"])
- s.add_dependency(%q<rake>, [">= 0"])
- s.add_dependency(%q<jeweler2>, [">= 0"])
- end
- else
- s.add_dependency(%q<iron_core>, [">= 0.3.0"])
- s.add_dependency(%q<zip>, [">= 0"])
- s.add_dependency(%q<bundler>, ["> 1.0.0"])
- s.add_dependency(%q<rake>, [">= 0"])
- s.add_dependency(%q<jeweler2>, [">= 0"])
- end
-end
+ gem.add_development_dependency "test-unit"
+ gem.add_development_dependency "rake"
+ gem.add_development_dependency "uber_config"
+end
View
2  lib/iron_worker_ng/api_client.rb
@@ -26,7 +26,7 @@ def headers
super.merge({'Authorization' => "OAuth #{@token}"})
end
- def url
+ def base_url
super + @api_version.to_s + '/'
end
View
5 lib/iron_worker_ng/version.rb
@@ -1,8 +1,9 @@
module IronWorkerNG
- @@version = nil
+
+ VERSION = "0.10.1"
def self.version
- @@version ||= File.read(File.dirname(__FILE__) + '/../../VERSION').strip
+ VERSION
end
def self.full_version
Please sign in to comment.
Something went wrong with that request. Please try again.